> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoplaydash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List traces

> List Playwright traces for a run. Optionally scope the traces to a single test entity.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/playdash.yaml GET /projects/{project_id}/runs/{run_id}/traces
openapi: 3.0.3
info:
  title: NeetoPlaydash APIs
  version: 1.0.0
  description: >-
    APIs to read projects, runs, test entities, result histories and traces from
    NeetoPlaydash.
servers:
  - description: NeetoPlaydash APIs
    url: https://{your-subdomain}.neetoplaydash.com/api/external/v1
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Projects
    description: APIs to list projects in the workspace.
  - name: Runs
    description: APIs to list runs and fetch a run with its specs.
  - name: Test Entities
    description: APIs to list test entities and fetch a test entity with its outcomes.
  - name: Result Histories
    description: APIs to fetch the historical results of a test entity.
  - name: Traces
    description: APIs to fetch Playwright traces for a run or a test entity.
paths:
  /projects/{project_id}/runs/{run_id}/traces:
    get:
      tags:
        - Traces
      summary: List traces
      description: >-
        List Playwright traces for a run. Optionally scope the traces to a
        single test entity.
      operationId: listTraces
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - $ref: '#/components/parameters/project_id_param'
        - $ref: '#/components/parameters/run_id_param'
        - in: query
          name: test_entity_id
          description: >-
            Restrict the traces to a single test entity. When omitted, traces
            for all test entities in the run are returned.
          required: false
          schema:
            type: string
            example: vhrscje
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/trace_list_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
    project_id_param:
      in: path
      name: project_id
      description: >-
        Id of the project. You can get `project_id` by listing your projects
        using the [List projects](/api-reference/projects/list) API.
      required: true
      schema:
        type: string
        example: pdqmxlz
    run_id_param:
      in: path
      name: run_id
      description: >-
        Id of the run. You can get `run_id` by listing runs using the [List
        runs](/api-reference/runs/list) API.
      required: true
      schema:
        type: string
        example: kftwnab
  schemas:
    trace_list_response:
      type: object
      properties:
        traces:
          type: array
          items:
            $ref: '#/components/schemas/trace'
    trace:
      type: object
      properties:
        test_entity_id:
          type: string
          description: Unique identifier of the test entity the traces belong to.
          example: vhrscje
        title:
          type: string
          description: Title of the test entity.
          example: adds an item to the cart
        trace_urls:
          type: array
          description: Playwright trace viewer URLs for the captured traces.
          items:
            type: string
            format: uri
          example:
            - >-
              https://trace.playwright.dev/?trace=https://cdn.neetoplaydash.com/traces/abc123.zip

````